
#include "MW4Headers.hpp"

#include "DamageDispatch.hpp"


using namespace MechWarrior4;

DamageDispatch* DamageDispatch::m_Instance = 0;

bool DamageDispatch::m_GlobalInvulnerability = false;


void
	DamageDispatch::SetGlobalInvulnerability(bool fInvulnerable)
{
	m_GlobalInvulnerability = fInvulnerable;
}


bool
	DamageDispatch::GetGlobalInvulnerability()
{
	return (m_GlobalInvulnerability);
}

